Add class variable to disable "option domain" in dhcpd.conf

02/11/2015 05:38 AM - Callum Scott

Status: Closed   

Priority: Normal   

Assignee: Callum Scott   

Category: Foreman modules   

Target version: 1.8.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you are trying to build a server in a subdomain the dhcp server will overwrite the domain of the new server.

eg. A server set in the webui to install to web01.dev.project.domain.com will have its fqdn set to be web01.project.domain.com.

Add an option to the foreman_proxy so the dhcpd.conf "option domain domain.com" setting is not set.

Associated revisions

Revision 30a25faf - 02/17/2015 05:46 AM - Callum Scott 

Fixes #9321 - do not populate option domain if @dnsdomain array is empty or nil

Closes GH-38

Revision 2f082102 - 02/23/2015 09:55 AM - Callum Scott 

Fixes #9321 - Add option to change or prevent option domain from being set in dhcpd.conf

Closes GH-149

History

#1 - 02/11/2015 05:43 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Category changed from DHCP to Foreman modules

#2 - 02/11/2015 06:12 AM - Callum Scott

I have submitted pull requests for this:

#38 theforeman/puppet-dhcp and #149 for theforeman/puppet-foreman_proxy

#3 - 02/17/2015 06:01 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-dhcp|30a25faf29db97addb1497ac58e5418dceca6afa.

#4 - 03/02/2015 05:45 AM - Dominic Cleal

- translation missing: en.field_release set to 28
